#
# spec file for package python-zope.event
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-zope.event
Version:        4.0.3
Release:        3.2
Summary:        Very basic event publishing system
License:        ZPL-2.1
Group:          Development/Libraries/Python
Url:            http://pypi.python.org/pypi/zope.event
Source:         https://pypi.python.org/packages/source/z/zope.event/zope.event-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
# Documentation requirements:
BuildRequires:  python-Sphinx
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif
Provides:       python-zope-event = %{version}
Obsoletes:      python-zope-event < %{version}

%description
An event publishing system and a very simple event-dispatching system on
which more sophisticated event dispatching systems can be built. For
example, a type-based event dispatching system that builds on zope.event
can be found in zope.component.

%package doc
Summary:        Very basic event publishing system
Group:          Development/Languages/Python
Requires:       %{name} = %{version}

%description doc
This package contains documentation files for %{name}.

%prep
%setup -q -n zope.event-%{version}

%build
python setup.py build
# cannot give build/lib here, as pkg_resources.py needs the egg info and
# raises DistributionNotFound for zope.event, hence build doc directly
# from source in order to avoid the need for an external doc package
PYTHONPATH=$(pwd)/src python setup.py build_sphinx && rm build/sphinx/html/.buildinfo

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py test

%files
%defattr(-,root,root)
%doc CHANGES.rst COPYRIGHT.txt LICENSE.txt README.rst
%{python_sitelib}/*

%files doc
%defattr(-,root,root,-)
%doc build/sphinx/html/

%changelog
* Fri May 15 2015 benoit.monin@gmx.fr
- update to version 4.0.3:
  * Added support for Python 3.4.
  * Updated boostrap.py to version 2.2.
- obsolete previous versions of python-zope-event, not current
- rename CHANGES.txt to CHANGES.rst: changed upstream
- rename README.txt to README.rst: changed upstream
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Tue Jul 30 2013 hpj@urpla.net
- spell out upstream URL in Source:
* Mon Jul 29 2013 hpj@urpla.net
- generate documantation in separate -doc package
- replace bz2 tarball with original gz without trailing garbarge
* Fri Mar 15 2013 speilicke@suse.com
- Rename to python-zope.event to match usptream name
* Tue Jan 15 2013 saschpe@suse.de
- Drop the lib dir messing around, the package is noarch
* Mon Jan 14 2013 p.drouand@gmail.com
- Initial python3 support
* Mon Jan 14 2013 p.drouand@gmail.com
- Update to 4.0.2 version:
  * Fleshed out PyPI Trove classifiers.
  * Added support for jython 2.7.
* Tue Jan 24 2012 coolo@suse.com
- remove use of %%suse_update_libdir
* Wed Jan 18 2012 cdenicolo@suse.com
- license update: ZPL-2.1
  is ZPL-2-1
* Thu Jan 12 2012 coolo@suse.com
- change license to be in spdx.org format
* Wed Nov 10 2010 coolo@novell.com
- fix file list
* Thu Sep 16 2010 coolo@novell.com
- fix build on distributions != 11.3
* Fri Jun 25 2010 hvogel@novell.com
- Ugly hack to make this an arch package. Apparently it does not
  work to have bundled modules spread over lib/lib64
* Tue Jun 22 2010 hvogel@novell.com
- get rid of buildroot removal in install
* Wed Jun  2 2010 hvogel@novell.com
- Initial Package, Version 3.5.0
